A = (0,2) # A[0] représente xA et A[1] représente yA
B = (5,-1)
C = (10,-4)

AB = ( B[0] - A[0] , B[1] - A[1] )
AC = ( C[0] - A[0] , C[1] - A[1] )

d = AB[0] * AC[1] - AB[1] * AC[0]

if d == 0:
    print('Les points A, B et C sont alignés.')
else:
    print('Les points A, B et C ne sont pas alignés.')
